Package org.eclipse.emf.cdo.net4j

# Interface CDOSession

All Superinterfaces:
  `CDOCommonSession`, `CDONet4jSession`, `CDOSession`, `CDOTransactionContainer`, `CDOTransactionOpener`, `CDOUpdatable`, `CDOViewContainer`, `CDOViewOpener`, `org.eclipse.net4j.util.collection.Closeable`, `IAdaptable`, `org.eclipse.net4j.util.container.IContainer<CDOView>`, `org.eclipse.net4j.util.event.INotifier`, `org.eclipse.net4j.util.options.IOptionsContainer`, `org.eclipse.net4j.util.security.IPasswordCredentialsProvider.Provider`, `org.eclipse.net4j.util.properties.IPropertiesContainer`, `org.eclipse.net4j.util.security.IUserAware`

@Deprecated public interface CDOSession extends CDONet4jSession
Deprecated.
Use `CDONet4jSession`.
Deprecated, use `CDONet4jSession`.

Since:
  2.0
Author:
  Eike Stepper
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`CDOSession.Options`
Deprecated.
Use `CDONet4jSession.Options`.

## Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.session.CDOSession

`CDOSession.ExceptionHandler`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

`org.eclipse.net4j.util.container.IContainer.Modifiable<E extends Object>, org.eclipse.net4j.util.container.IContainer.Persistable<E extends Object>, org.eclipse.net4j.util.container.IContainer.Persistence<E extends Object>`

## Nested classes/interfaces inherited from interface org.eclipse.net4j.util.event.INotifier

`org.eclipse.net4j.util.event.INotifier.INotifier2`

## Field Summary

### Fields inherited from interface org.eclipse.emf.cdo.util.CDOUpdatable

`NO_TIMEOUT`

## Method Summary

Modifier and Type
Method
Description
`CDOSession.Options`
`options()`
Deprecated.
Use `CDONet4jSession.options()`.

### Methods inherited from interface org.eclipse.emf.cdo.common.CDOCommonSession

`authorizeOperations, getOpeningTime, getSessionID, getView, getViews`

### Methods inherited from interface org.eclipse.emf.cdo.session.CDOSession

`changeCredentials, changeServerPassword, compareRevisions, getBranchManager, getCommitInfoManager, getExceptionHandler, getFetchRuleManager, getIDGenerator, getPackageRegistry, getRemoteSessionManager, getRepositoryInfo, getRevisionManager, getUserInfoManager, newBlob, newBlob, newClob, newClob, refresh, refresh, waitForUpdate, waitForUpdate`

### Methods inherited from interface org.eclipse.emf.cdo.transaction.CDOTransactionContainer

`getTransaction, getTransactions, getTransactions, openTransaction, openTransaction, openTransaction, openTransaction, openTransaction, openTransaction`

### Methods inherited from interface org.eclipse.emf.cdo.transaction.CDOTransactionOpener

`openTransaction, openTransaction`

### Methods inherited from interface org.eclipse.emf.cdo.util.CDOUpdatable

`getLastUpdateTime, runAfterUpdate`

### Methods inherited from interface org.eclipse.emf.cdo.view.CDOViewContainer

`getView, getViews, getViews, openView, openView, openView, openView, openView, openView, openView, openView`

### Methods inherited from interface org.eclipse.emf.cdo.view.CDOViewOpener

`openView, openView`

### Methods inherited from interface org.eclipse.net4j.util.collection.Closeable

`close, isClosed`

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

`getElements, isEmpty`

### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

`addListener, getListeners, hasListeners, removeListener`

### Methods inherited from interface org.eclipse.net4j.util.security.IPasswordCredentialsProvider.Provider

`getCredentialsProvider`

### Methods inherited from interface org.eclipse.net4j.util.properties.IPropertiesContainer

`properties`

### Methods inherited from interface org.eclipse.net4j.util.security.IUserAware

`getUserID`

## Method Details

### options

@Deprecated CDOSession.Options options()
Deprecated.
Use `CDONet4jSession.options()`.
Returns the `options` of this session.

Specified by:
  `options` in interface `CDOCommonSession`
Specified by:
  `options` in interface `CDONet4jSession`
Specified by:
  `options` in interface `CDOSession`
Specified by:
  `options` in interface `org.eclipse.net4j.util.options.IOptionsContainer`